#include "MixedMode.r"

/*
Use the project ProcInfo. to determine the correct value for the ProcInfo field below.

A single '$' means a hex value.  You can also use the C format of 0x... if you want.
Run ProcInfo. to prove for yourself that a C routine (kCStackBased) that has no
arguments and returns void has a ProcInfo of $1 or 0x1.
Two dollar signs indicate a rez variable, as in $$Resource.  $$Resource tells rez 
to read the resource fork of a file and return, as a string, the data of a resource 
of a certain type and ID.


Use type 'MWCW' as 'fdes'; if you want a fat resource.
*/


type 'ADgm' as 'sdes';

resource 'ADgm' (0) {
	$3BE0,											// 68K ProcInfo
	$3BE0,											// PowerPC ProcInfo
	$$Resource("The Swarm FAT", 'ADgm', 0),			// Specify filename, type, and ID of resource
													//   containing 68k code
	$$Resource("The Swarm PEF", 'ADgm', 0)			// Specify filename, type, and ID of resource
													//   containing a pef container
};

